# Asterisk Project : Asterisk 13 Application_OSPAuth

Created by wikibot on Aug 08, 2014

# OSPAuth()

### Synopsis

OSP Authentication.

### Description

Authenticate a call by OSP.

Input variables:

- `OSPINPEERIP` - The last hop IP address.
- `OSPINTOKEN` - The inbound OSP token.
  Output variables:

- `OSPINHANDLE` - The inbound call OSP transaction handle.
- `OSPINTIMELIMIT` - The inbound call duration limit in seconds.
  This application sets the following channel variable upon completion:

- `OSPAUTHSTATUS` - The status of OSPAuth attempt as a text string, one of
  - SUCCESS
  - FAILED
  - ERROR

### Syntax

    OSPAuth([provider,[options]])

##### Arguments

- `provider` - The name of the provider that authenticates the call.
- `options` - Reserverd.

### See Also

- Asterisk 13 Application_OSPLookup
- Asterisk 13 Application_OSPNext
- Asterisk 13 Application_OSPFinish

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538